package objdbTest;

import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * Session Bean implementation class SLSBObjDb
 */

@TransactionAttribute(TransactionAttributeType.REQUIRED)
@Stateless(mappedName = "SLSBObjDb")
public class SLSBObjDb implements SLSBObjDbRemote {

	@PersistenceContext(unitName = "Experiment8objPU" )
	EntityManager emInj;
	
    /**
     * Default constructor. 
     */
    public SLSBObjDb() {
    }

    @Override
    public void addItems(int howMany) {
    	Singleton singleton = Singleton.getInstance(emInj);
    	singleton.generateItems(emInj, howMany);
    }
    
    @Override
    public long countItems() {
    	Singleton singleton = Singleton.getInstance(emInj);
    	long numItems = singleton.howManyItemsExist(emInj);
    	return numItems;
    }
}
