package objdbTest;

import javax.persistence.Basic;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.ManyToOne;
import javax.persistence.Version;

@Entity
public class Item {
	@SuppressWarnings("unused") //used by JPA
	@ManyToOne
	private Singleton singleton;

	@Basic
	private String cachedKey;

	@Id
	private String id;

	@Version
	private int version;

	@Basic
	private Integer property;


	// Bonus empty constructor generated for JPA
	protected Item() {
		super();
	}

	public Item(Singleton singleton, int intValue) {
		id = java.util.UUID.randomUUID().toString();
		this.singleton = singleton;
		this.cachedKey = new Integer(intValue).toString();
		setProperty(intValue);
		
	}

	public Integer getJPAVersion() {
		return version;
	}
	
	public String getCachedKey() {
		return cachedKey;
	}

	public void setProperty(Integer newValue) {
	    property = newValue;
	}

	public Integer getProperty() {
	    return property;
	}

	public String getInfo() {
		return "Item: id=" + id + ", version=" + version + ", key=" + cachedKey + ", property=" + property;
	}

	public String getId() { return id; }
}
